%define		_state		stable
%define		orgname		gwenview
%define		qtver		4.8.1

Summary:	K Desktop Environment - Simple image viewer
Summary(pl.UTF-8):	K Desktop Environment - Prosta przeglądarka obrazków
Name:		kde4-gwenview
Version:	4.9.0
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	505231de40d2c3ea220a150ba4c39d2c
URL:		http://www.kde.org/
BuildRequires:	kde4-kdebase-devel
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	kde4-libkipi-devel >= %{version}
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
Obsoletes:	gwenview <= 4.8.0
Obsoletes:	kde4-kdegraphics-gwenview < 4.6.100-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide
easy navigation in your file hierarchy. Image loading is done by the
Qt library, so it supports all image formats your Qt installation
supports.

%description -l pl.UTF-8
Gwenview to przeglądarka obrazków dla KDE. Ma okno z drzewem katalogów
oraz okno z listą plików w celu zapewnienia łatwej nawigacji w
hierarchii plików. Wczytywanie obrazków jest wykonywane przez
bibliotekę Qt, więc przeglądarka obsługuje wszystkie formaty
obsługiwane przez zainstalowaną wersję Qt.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gwenview
%attr(755,root,root) %{_bindir}/gwenview_importer
%attr(755,root,root) %{_libdir}/libgwenviewlib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgwenviewlib.so.?
%attr(755,root,root) %{_libdir}/kde4/gvpart.so
%{_datadir}/apps/gwenview
%{_datadir}/apps/gvpart
%{_datadir}/kde4/services/gvpart.desktop
%{_datadir}/kde4/services/ServiceMenus/slideshow.desktop
%{_desktopdir}/kde4/gwenview.desktop
%{_datadir}/apps/solid/actions/gwenview_importer.desktop
%{_datadir}/apps/solid/actions/gwenview_importer_camera.desktop
%{_iconsdir}/*/*/actions/document-share.png
%{_iconsdir}/*/*/apps/gwenview.png
%{_iconsdir}/*/scalable/apps/gwenview.svgz
%{_iconsdir}/*/scalable/actions/document-share.svgz
%{_kdedocdir}/en/gwenview
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-gwenview.git;a=log;h=master

* Tue Aug 28 2012 Jan Rękorajski <baggins@pld-linux.org> a6965cb
Obsolete kde4-kdegraphics-gwenview-4.6.100-1
Release 2

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ff73f29
- up to 4.9.0

* Mon Jun 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9271240
- up to 4.8.4

* Thu May 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 925093c
- up to 4.8.3

* Sat Mar 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d5afc4c
- up to 4.8.2

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c6646e4
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c9d774e
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4765e67
- rel 3; fix libkipi BR

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 21528bf
- rel 2; fixed O

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> eb4fe16
- now as kde4-gwenview

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ee6360f
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 8080109
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2228cec
- up to 4.7.3

* Tue Oct 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b7f8b93
- up to 4.7.2

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f5872d
- rel 3

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 40cfa7a
- rel 2; O: kde4-kdegraphics-gwenview

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a9a8f00
- up to 4.7.1

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dfc8bce
- BR libkipi 4.7

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b5aefb3
- O: kde4-kdegraphics-gwenview

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 648ca55
- up to kde 4.7.0; initial

